## rb-header

rb-header

## Synopsis

    typedef             RBHeaderPrivate;
    RBHeader*           rb_header_new                       (RBShellPlayer *header,
                                                             RhythmDB *db);
    void                rb_header_set_playing_entry         (RBHeader *header,
                                                             RhythmDBEntry *entry,
                                                             gboolean seekable);
    void                rb_header_sync                      (RBHeader *header);
    gboolean            rb_header_sync_time                 (RBHeader *header);
    char*               rb_header_get_elapsed_string        (RBHeader *header);

## Description

## Details

### RBHeaderPrivate

    typedef struct RBHeaderPrivate RBHeaderPrivate;

### rb_header_new ()

    RBHeader*           rb_header_new                       (RBShellPlayer *header,
                                                             RhythmDB *db);

`header` : |
`db` : |
Returns : |

### rb_header_set_playing_entry ()

    void                rb_header_set_playing_entry         (RBHeader *header,
                                                             RhythmDBEntry *entry,
                                                             gboolean seekable);

`header` : |
`entry` : |
`seekable` : |

### rb_header_sync ()

    void                rb_header_sync                      (RBHeader *header);

`header` : |

### rb_header_sync_time ()

    gboolean            rb_header_sync_time                 (RBHeader *header);

`header` : |
Returns : |

### rb_header_get_elapsed_string ()

    char*               rb_header_get_elapsed_string        (RBHeader *header);

`header` : |
Returns : |